## golang-github-linuxdeepin-go-dbus-factory 1.9.6

=== Makefile ===
PREFIX = /usr
GOSITE_DIR = ${PREFIX}/share/gocode
GOPKG_PERFIX = github.com/linuxdeepin/go-dbus-factory
SRC_DIR=${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PERFIX}

all: build

build:
	echo ignore build

print_gopath:
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

bin:
	go build -o generator _tool/generator/*.go

install:
	mkdir -p ${SRC_DIR}
	for dir in object_manager net.* org.* com.*;do\
		mkdir -p ${SRC_DIR}/$$dir;\
		cp $$dir/*.go ${SRC_DIR}/$$dir;\
	done

vet:
	go vet ./...
	go vet ./_tool/generator
	go vet ./_tool/prop_gen

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.9.6-3) unstable; urgency=medium

  * Add patch to change go-lib import path. (Closes: #1027594)
  * debian/control: Bump Standards version to 4.6.2.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 04 Jan 2023 22:25:48 +0545

golang-github-linuxdeepin-go-dbus-factory (1.9.6-2) unstable; urgency=medium

  * Source only upload.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 26 Nov 2021 22:39:27 +0545

golang-github-linuxdeepin-go-dbus-factory (1.9.6-1) unstable; urgency=medium

  * Initial release (Closes: #970705).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 29 Oct 2021 00:15:17 +0545

=== debian/control ===
Source: golang-github-linuxdeepin-go-dbus-factory
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-golang,
 golang-any,
 golang-dlib-dev,
 golang-golang-x-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxdeepin/go-dbus-factory
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/golang-github-linuxdeepin-go-dbus-factory
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/golang-github-linuxdeepin-go-dbus-factory.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/linuxdeepin/go-dbus-factory

Package: golang-github-linuxdeepin-go-dbus-factory-dev
Architecture: all
Depends:
 golang-dlib-dev,
 ${misc:Depends},
Description: Go binding code for automatically generating DBus services (library)
 Convenient go binding code for automatically generating DBus services.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE = /tmp/gocache
export GOPATH = ${CURDIR}/_build:/usr/share/gocode
export GO111MODULE := off
export DH_GOLANG_INSTALL_ALL := 1
BUILD_DIR := ${CURDIR}/_build/src/github.com/linuxdeepin/go-dbus-factory

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cd ${BUILD_DIR} && make bin && ./gen.sh && \
	find . -type f -name "generator" -delete

	find ${BUILD_DIR} -type f \( -name "README.md" -or -name "CHANGELOG.md" \) -delete
	find ${BUILD_DIR} -type d -name "docs" -exec rm -r {} +

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%go-dbus-factory-$1.tar.gz%" \
   https://github.com/linuxdeepin/go-dbus-factory/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## golang-github-linuxdeepin-go-dbus-factory 1.10.9

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.10.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:05:17 +0800

golang-github-linuxdeepin-go-dbus-factory (1.0.0-1) unstable; urgency=low

  * Auto Version update.

 -- shuttle <shuttle@deepin.com>  Wed, 25 Oct 2017 01:40:10 +0000

## golang-github-linuxdeepin-go-dbus-factory 1.10.20

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.10.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:42:37 +0800

## golang-github-linuxdeepin-go-dbus-factory 1.10.21

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 GOSITE_DIR = ${PREFIX}/share/gocode
 GOPKG_PERFIX = github.com/linuxdeepin/go-dbus-factory
 SRC_DIR=${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PERFIX}
+export GO111MODULE=off
 
 all: build

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.10.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 22:22:33 +0800

## golang-github-linuxdeepin-go-dbus-factory 1.10.23

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.10.23-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:06:27 +0800

golang-github-linuxdeepin-go-dbus-factory (1.10.23) unstable; urgency=low

  * Version update.

 -- lichangze <lichangze@uniontech.com>  Fri, 2 Sep 2022 01:40:10 +0000

golang-github-linuxdeepin-go-dbus-factory (1.10.21) unstable; urgency=low

  * Version update.

 -- lichangze <lichangze@uniontech.com>  Sat, 27 Aug 2022 01:40:10 +0000

## golang-github-linuxdeepin-go-dbus-factory 1.11.4

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (1.11.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 10:48:31 +0800

=== debian/control ===
Source: golang-github-linuxdeepin-go-dbus-factory
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 dh-golang,
 golang-any,
 golang-github-linuxdeepin-go-lib-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-tools,
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/go-dbus-factory
XS-Go-Import-Path: github.com/linuxdeepin/go-dbus-factory
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxdeepin-go-dbus-factory-dev
Architecture: all
Depends:
 golang-github-linuxdeepin-go-lib-dev,
 golang-github-stretchr-testify-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: mirrored from https://cr.deepin.io/#/admin/projects/go-dbus-factory
 Convenient go binding code for automatically generating DBus services

## golang-github-linuxdeepin-go-dbus-factory 2.0.8

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.8) unstable; urgency=medium

  * feat: add org.freedesktop.timedate1 interface

 -- dengbo <dengbo@deepin.org>  Mon, 27 Nov 2023 10:04:20 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.7) unstable; urgency=medium

  * add new am dbus interface

 -- dengbo <dengbo@deepin.org>  Mon, 06 Nov 2023 16:03:20 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.6) unstable; urgency=medium

  * use new am interface instead

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 11 Oct 2023 10:12:59 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.5) unstable; urgency=medium

  * support show bluetooth battery

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 11 Aug 2023 10:22:59 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * chore: archlinux打包目录存在问题

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 16:33:32 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 增加原子更新封装(Influence: 增加原子更新封装)
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)
  * fix: Backlight的PATH错误修复(Task: 225039)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:31:21 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix(net.reactivated.fprint): 因上游更新新增接口和自研接口冲突而导致接口变更(Bug: 141877)(Influence: 控制中心-删除指纹)
  * feat: 兼容V20接口(Task: 166781)(Influence: 接口改为V23标准接口， 并兼容V20接口)
  * fix: 修复部分V23接口没有生成正确的dbus服务路径问题(Bug: 157497)(Influence: 剪切板、更新、蓝牙、电源、系统信息相关功能)
  * fix: 增加org.freedesktop.screensaver1(Bug: 157525)(Influence: 控制中心-电源-定时待机/锁屏/关闭显示器)

 -- caixiangrong <caixiangrong@uniontech.com>  Wed, 19 Oct 2022 11:55:28 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.0.0) unstable; urgency=low

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:08:13 +0800

## golang-github-linuxdeepin-go-dbus-factory 2.0.11

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.11) unstable; urgency=medium

  * fix(audio): 添加日历接口的调

 -- fuleyi <fuleyi@uniontech.com>  Thu, 05 Dec 2024 14:09:19 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.10) unstable; urgency=medium

  * chore: 更正bluez属性Percentage为byte (#119)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 14 Nov 2024 13:17:22 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.9) unstable; urgency=medium

  * chore: regenerate code
  * chore: rename com.deepin.lastore.Agent to org.deepin.dde.Lastore1.Agent
  * chore: IPWatchd接口名调整
  * chore: 接口整改

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 16:19:26 +0800

## golang-github-linuxdeepin-go-dbus-factory 2.0.13

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.13) unstable; urgency=medium

  * feat: add isDefaultValue method to ConfigManager

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:57:49 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.12) unstable; urgency=medium

  * chore: add org.deepin.dde.grub2

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Apr 2025 21:29:59 +0800

## golang-github-linuxdeepin-go-dbus-factory 2.0.14

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.14) unstable; urgency=medium

  * feat: update ConfigManager D-Bus interface

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:39:00 +0800

## golang-github-linuxdeepin-go-dbus-factory 2.0.17

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.17) unstable; urgency=medium

  * chore: update 1st-party dependency in go.mod and go.sum

 -- fuleyi <fuleyi@uniontech.com>  Fri, 15 Aug 2025 09:03:42 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.16) unstable; urgency=medium

  * Release 2.0.16

 -- fuleyi <fuleyi@uniontech.com>  Fri, 08 Aug 2025 09:27:18 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.15) unstable; urgency=medium

  * feat: 增加fido接口 (#132)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 30 Jul 2025 11:41:44 +0800

## golang-github-linuxdeepin-go-dbus-factory 2.0.21

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 GOSITE_DIR = ${PREFIX}/share/gocode
 GOPKG_PERFIX = github.com/linuxdeepin/go-dbus-factory
 SRC_DIR=${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PERFIX}
-export GO111MODULE=off
 
 all: build
 
@@ -13,7 +12,8 @@
 	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"
 
 bin:
-	go build -o generator _tool/generator/*.go
+	cd _tool/generator && go build -o generator
+	cp _tool/generator/generator .
 
 install:
 	mkdir -p ${SRC_DIR}

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.21) unstable; urgency=medium

  * chore: remove deprecated apps modules

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Oct 2025 16:55:03 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.20) unstable; urgency=medium

  * chore: remove deprecated fprintd1 service files

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:20:53 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.19) unstable; urgency=medium

  * feat: 添加控制中心接口

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 19 Sep 2025 10:53:02 +0800

golang-github-linuxdeepin-go-dbus-factory (2.0.18) unstable; urgency=medium

  * feat: 多屏场景下支持合盖后自动切换仅外屏显示

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 19:53:35 +0800

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE := /tmp/gocache

ifeq ($(DEB_BUILD_ARCH),sw_64)
%:
	dh $@
else
%:
	dh $@ --buildsystem=golang --with=golang
endif



override_dh_auto_clean:
	dh_auto_clean --
	rm -fr obj-x86_64-linux-gnu

## golang-github-linuxdeepin-go-dbus-factory 2.0.22

=== debian/changelog ===
golang-github-linuxdeepin-go-dbus-factory (2.0.22) unstable; urgency=medium

  * chore: remove powermanager1 D-Bus service files

 -- fuleyi <fuleyi@uniontech.com>  Thu, 06 Nov 2025 14:47:54 +0800
